Index: /palm/trunk/SCRIPTS/.mrun.config.csc_sisu
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 2236)
@@ -77,4 +77,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.cuhk
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 2236)
@@ -82,4 +82,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.dkrz
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.dkrz	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.dkrz	(revision 2236)
@@ -84,4 +84,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.forwind_flow
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.forwind_flow	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.forwind_flow	(revision 2236)
@@ -108,7 +108,8 @@
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#      $base_data/$fname/INPUT     _p3d
-PARIN                    in:job        d3f      $base_data/$fname/INPUT     _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT     _topo
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII	(revision 2236)
@@ -170,7 +170,8 @@
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#      $base_data/$fname/INPUT     _p3d
-PARIN                    in:job        d3f      $base_data/$fname/INPUT     _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT     _topo
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.gfortran
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.gfortran	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.gfortran	(revision 2236)
@@ -97,4 +97,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.hayaka
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 2236)
@@ -69,4 +69,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 2236)
@@ -152,4 +152,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.ibmh
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 2236)
@@ -82,4 +82,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.idefix
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2236)
@@ -87,4 +87,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $input_path    _lsf
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $input_path    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $input_path    _topo_nc
 PLANT_CANOPY_DATA_3D     in:locopt     d3#:d3f  $input_path    _canopy
 URBAN_SURFACE            in:locopt     d3#:d3f  $input_path    _urbsurf
Index: /palm/trunk/SCRIPTS/.mrun.config.ifort
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.ifort	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.ifort	(revision 2236)
@@ -97,4 +97,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 2236)
@@ -72,4 +72,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_gpu
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 2236)
@@ -84,4 +84,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 2236)
@@ -167,4 +167,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 2236)
@@ -155,4 +155,5 @@
 RAD_SND_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _rsnd nc
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.imuknb
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 2236)
@@ -81,4 +81,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.kiaps
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 2236)
@@ -69,4 +69,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 2236)
@@ -93,4 +93,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.riam
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.riam	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.riam	(revision 2236)
@@ -79,4 +79,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.tatara
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 2236)
@@ -68,4 +68,5 @@
 PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
 TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
Index: /palm/trunk/SCRIPTS/.mrun.config.yonsei2011
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 2235)
+++ /palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 2236)
@@ -80,5 +80,6 @@
 PARIN                    in:job        pcr   $base_data/$fname/INPUT    _pcr
 PARIN                    in:job        d3f   $base_data/$fname/INPUT    _p3df
-TOPOGRAPHY_DATA          in:locopt     d3#:d3f   $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+TOPOGRAPHY_DATA_NC       in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo_nc
 NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf