Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 2255)
+++ palm/trunk/SOURCE/Makefile	(revision 2256)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+# Remove ring dependency in init_pegrid
+# 
+# 2238 2017-05-31 16:49:16Z suehring
 # Bugfix, further missing dependency on surface_mod
 # 
@@ -493,5 +496,5 @@
 init_masks.o: modules.o mod_kinds.o netcdf_interface_mod.o
 init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
-init_pegrid.o: modules.o mod_kinds.o spectra_mod.o pmc_interface_mod.o
+init_pegrid.o: modules.o mod_kinds.o spectra_mod.o
 init_pt_anomaly.o: modules.o mod_kinds.o
 init_rankine.o: modules.o mod_kinds.o
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2255)
+++ palm/trunk/SOURCE/modules.f90	(revision 2256)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Change default value of zeta_min to -20
+! Increase dimension for wall_heatflux, etc. 
+! 
+! 2233 2017-05-30 18:08:54Z suehring
 !
 ! 2232 2017-05-30 17:47:52Z suehring
@@ -1331,5 +1335,5 @@
     REAL(wp) ::  wall_adjustment_factor = 1.8_wp               !< 
     REAL(wp) ::  zeta_max = 20.0_wp                            !< Maximum value of zeta = z/L
-    REAL(wp) ::  zeta_min = -9990.0_wp                         !< Minimum value of zeta = z/L
+    REAL(wp) ::  zeta_min = -20.0_wp                           !< Minimum value of zeta = z/L
     REAL(wp) ::  z_max_do2d = -1.0_wp                          !< 
     REAL(wp) ::  z0h_factor = 1.0_wp                           !< 
@@ -1364,8 +1368,8 @@
     REAL(wp) ::  volume_flow_area(1:3) = 0.0_wp                    !< 
     REAL(wp) ::  volume_flow_initial(1:3) = 0.0_wp                 !< 
-    REAL(wp) ::  wall_heatflux(0:4) = 0.0_wp                       !< 
-    REAL(wp) ::  wall_humidityflux(0:4) = 0.0_wp                   !< 
-    REAL(wp) ::  wall_salinityflux(0:4) = 0.0_wp                   !< 
-    REAL(wp) ::  wall_scalarflux(0:4) = 0.0_wp                     !< 
+    REAL(wp) ::  wall_heatflux(0:5) = 0.0_wp                       !< 
+    REAL(wp) ::  wall_humidityflux(0:5) = 0.0_wp                   !< 
+    REAL(wp) ::  wall_salinityflux(0:5) = 0.0_wp                   !< 
+    REAL(wp) ::  wall_scalarflux(0:5) = 0.0_wp                     !< 
     REAL(wp) ::  subs_vertical_gradient(10) = 0.0_wp               !< 
     REAL(wp) ::  subs_vertical_gradient_level(10) = -9999999.9_wp  !< 
Index: palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_mod.f90	(revision 2255)
+++ palm/trunk/SOURCE/surface_mod.f90	(revision 2256)
@@ -24,6 +24,8 @@
 ! Former revisions:
 ! -----------------
-
-! Revision 1.1  2016/12/20 10:06:06  suehring
+! $Id$
+! Enable heating at downward-facing surfaces
+! 
+! 2233 2017-05-30 18:08:54Z suehring
 ! Initial revision
 !
@@ -1351,7 +1353,8 @@
                    ENDIF
 !
-!--             Set heat-flux at downward-facing surfaces to zero
+!--             Set heat-flux at downward-facing surfaces
                 ELSE
-                   surf%shf(num_h) = 0.0_wp
+                   surf%shf(num_h) = wall_heatflux(5) *                        &
+                                             heatflux_input_conversion(k)
                 ENDIF
 
@@ -1369,5 +1372,6 @@
                       ENDIF
                    ELSE
-                      surf%qsws(num_h) = 0.0_wp
+                      surf%qsws(num_h) = wall_humidityflux(5) *                &
+                                             heatflux_input_conversion(k)
                    ENDIF
                 ENDIF
@@ -1379,6 +1383,5 @@
 
                          IF ( k-1 /= 0 )                                       &
-                            surf%ssws(num_h) = wall_scalarflux(0) *            &
-                                                  waterflux_input_conversion(k-1)
+                            surf%ssws(num_h) = wall_scalarflux(0)
 
                       ELSE
@@ -1386,5 +1389,5 @@
                       ENDIF
                    ELSE
-                      surf%ssws(num_h) = 0.0_wp
+                      surf%ssws(num_h) = wall_scalarflux(5)
                    ENDIF
                 ENDIF