Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 2236)
+++ palm/trunk/SCRIPTS/mbuild	(revision 2257)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# adjustments for lceddy, removed lcflow-specific code
+# 
+# 1945 2016-06-15 07:17:24Z raasch
 #
 # 1944 2016-06-15 06:29:00Z raasch
@@ -528,5 +531,4 @@
         (lccrayb)        remote_address=130.73.233.1;;
         (lccrayh)        remote_address=130.75.4.1;;
-        (lcflow)         remote_address="flow02.hpc.uni-oldenburg.de";;
         (lckordi)        remote_adress=210.219.61.8;;
         (lcmuk)          remote_address=130.75.105.2;;
@@ -1371,7 +1373,7 @@
           then
              . $modules
-          elif [[ $remote_host = lcflow ]]
-          then
-             eval `$MODULESHOME/bin/modulecmd ksh load ${modules}`
+	  elif [[ $remote_host = lceddy ]]
+          then
+             eval `$MODULESHOME/libexec/lmod load ${modules}`	
           else
              eval init_cmds=$init_cmds
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 2236)
+++ palm/trunk/SCRIPTS/mrun	(revision 2257)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# adjustments for lceddy, removed lcflow-specific code
+# 
+# 2186 2017-03-21 05:36:31Z raasch
 #
 # 2185 2017-03-21 05:09:29Z raasch
@@ -652,5 +655,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|nech|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcocean|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|nech|lcbullhh|lccrayb|lccrayh|lccrayf|lceddy|lckyoto|lcocean|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -810,5 +813,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcocean|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+                       (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lceddy|lckyoto|lcocean|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1074,5 +1077,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lcflow|lckyoto|lcocean|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|lcbullhh|lccrayb|lccrayh|lccrayf|lceddy|lckyoto|lcocean|nech|unics|lcxe6|lcxt5m|lck|lckiaps|lckordi|lckyuh|lckyut|lcsb)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -1103,5 +1106,5 @@
        # CHECK, IF THE NUMBER OF CORES PER NODE HAS BEEN GIVEN UND IF IT IS AN
        # INTEGRAL DIVISOR OF THE TOTAL NUMBER OF CORES GIVEN BY OPTION -X
-    if [[ "$tasks_per_node" = ""  &&  $host != lcflow  &&  $host != lcxt5m ]]
+    if [[ "$tasks_per_node" = ""  &&  $host != lcxt5m ]]
     then
        printf "\n"
@@ -1119,5 +1122,5 @@
     fi
 
-    if [[ $host != lcflow  &&  $host != lcxt5m ]]
+    if [[ $host != lcxt5m ]]
     then
        (( nodes = numprocs / ( tasks_per_node * threads_per_task ) ))
@@ -2421,13 +2424,10 @@
              [[ ! -f a.out ]]  &&  compile_error=true
             continue   # STATUS=1, IF a.out EXISTS
-          elif [[ $localhost = lcflow ]]
-          then 
-             printf "      compiler is called via ssh on \"flow\" \n"
-             /usr/bin/ssh  $SSH_PORTOPT  flow02.hpc.uni-oldenburg.de -l $usern "$init_cmds $module_calls cd $TEMPDIR; make $mopts -f Makefile PROG=a.out F90=$compiler_name COPT=\"$cpp_options\" F90FLAGS=\"$fopts\" LDFLAGS=\"$lopts\" "
-             check_for_file=`/usr/bin/ssh $SSH_PORTOPT flow02.hpc.uni-oldenburg.de -l $usern "ls $TEMPDIR/a.out 2> /dev/null"`
-             [[ "$check_for_file" = "" ]]  &&  compile_error=true
-             continue   # STATUS=1, IF a.out EXISTS
           elif [[ $localhost = lcbullhh  ||  $localhost = lccrayb  ||  $localhost = lccrayf ||  $localhost = lccrayh ]]
           then
+             make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
+	  elif [[ $localhost = lceddy ]]
+          then
+	     which mpifc
              make $mopts -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
           else
@@ -3100,5 +3100,5 @@
                    # COPY HOSTFILE FROM SOURCE DIRECTORY OR CREATE IT, IF IT
                    # DOES NOT EXIST
-                if [[  $host != lcbullhh  && $host != lccrayb  &&  $host != lccrayf  && $host != lccrayh  &&  $host != lckyuh  &&  $host != lckyut  &&  $host != lcocean ]]
+                if [[  $host != lcbullhh  && $host != lccrayb  &&  $host != lccrayf  && $host != lccrayh  &&  $host != lckyuh  &&  $host != lckyut  &&  $host != lcocean &&  $host != lceddy ]]
                 then
                    if [[ -f $hostfile ]]
@@ -3167,8 +3167,11 @@
                    elif [[ $host = lcxe6  ||  $host = lcxt5m ]]
                    then
-                       aprun  -n $ii  -N $tasks_per_node  a.out  <  runfile_atmos
-                   elif [[ $host = lcflow ]]
-                   then
-                      mpirun -np $ii a.out  < runfile_atmos
+                    aprun  -n $ii  -N $tasks_per_node  a.out  <  runfile_atmos
+                   elif [[ $host = lceddy ]]
+                   then
+                      echo $ii
+		      echo $tasks_per_node
+		      echo $nodes
+                      mpirun -n $ii a.out  <  runfile_atmos
                    elif [[ $host = lcocean ]]
                    then
@@ -3177,4 +3180,5 @@
                    then
                       mpirun_rsh -hostfile $PBS_NODEFILE -np `cat $PBS_NODEFILE | wc -l` a.out  < runfile_atmos
+
                    elif [[ $host = lckiaps ]]
                    then
@@ -4081,5 +4085,5 @@
           then
 
-             if [[ $localhost = lcbullhh  ||  $localhost = lccrayb  ||  $localhost = lccrayh  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmkisti  ||  $localhost = ibmku  ||  $localhost = ibms  ||  $localhost = lcflow  ||  $localhost = lckyu*  ||  $localhost = lcxe6 ]]
+             if [[ $localhost = lcbullhh  ||  $localhost = lccrayb  ||  $localhost = lccrayh  ||  $localhost = nech  ||  $localhost = ibmh  ||  $localhost = ibmkisti  ||  $localhost = ibmku  ||  $localhost = ibms  ||  $localhost = lceddy  ||  $localhost = lckyu*  ||  $localhost = lcxe6 ]]
              then
                 echo "*** ssh will be used to initiate restart-runs!"
@@ -4110,5 +4114,5 @@
                    then
                       ssh $SSH_PORTOPT $usern@gaiad "ssh $SSH_PORTOPT $return_address -l $return_username \"PATH=\\\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc\" "
-                   elif [[ $localhost = lcflow ]]
+                   elif [[ $localhost = lceddy ]]
                    then
                       /usr/bin/ssh $SSH_PORTOPT $return_address -l $return_username "PATH=\$PATH:$LOCAL_MRUN_PATH;export PALM_BIN=$LOCAL_MRUN_PATH;cd $LOCAL_PWD; $mc "
@@ -4496,10 +4500,10 @@
     echo  "export LOCAL_MRUN_PATH"                      >>  $jobfile
 
-       # lcflow ALSO REQUIRES TO PROVIDE PATH FOR THE PALM-SCRIPTS
-#    if [[ $host = lcflow  ||  $localhost = lcflow ]]
-#    then
+       # lceddy ALSO REQUIRES TO PROVIDE PATH FOR THE PALM-SCRIPTS
+    if [[ $host = lceddy  ||  $localhost = lceddy ]]
+    then
        echo  "export PALM_BIN=$PALM_BIN" | sed -e 's:'$HOME':$HOME:'   >>  $jobfile
        echo  "export PATH=\$PATH:\$PALM_BIN"              >>  $jobfile
-#    fi
+    fi
 
        # CALL MRUN WITHIN THE JOB (SETTING QUEUE IS A WORKAROUND FOR ibmkisti)
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 2236)
+++ palm/trunk/SCRIPTS/subjob	(revision 2257)
@@ -28,4 +28,7 @@
 # -----------------
 # $Id$
+# adjustments for lceddy, removed lcflow-specific code
+# 
+# 2188 2017-03-21 06:42:42Z raasch
 #
 # 2187 2017-03-21 06:41:25Z raasch
@@ -230,6 +233,6 @@
      (cs*)                   local_address=136.172.44.131; local_host=nech;;
      (elephanta)             local_address=130.75.105.6;   local_host=lcmuk;;
-     (flow01)                local_address=10.141.255.71;  local_host=lcflow;;
-     (flow02)                local_address=10.141.255.72;  local_host=lcflow;;
+     (hpcl*)		     local_address=eddy.hpc.uni-oldenburg.de; local_host=lceddy;;
+     (cfd*)		     local_address=eddy.hpc.uni-oldenburg.de; local_host=lceddy;;
      (node*)                 local_address=165.132.26.61   local_host=lck;;
    #  (node*)                 local_address=210.219.61.8    local_host=lckordi;;
@@ -404,5 +407,5 @@
         (lccrayh) queue=mpp1testq; remote_address=130.75.4.1; submcom="/opt/moab/default/bin/msub -E";;
         (lccrayf) queue=small; remote_address=86.50.166.21; submcom=/opt/slurm/default/bin/sbatch;;
-        (lcflow)  remote_address=10.140.1.72; submcom=qsub;;
+        (lceddy)  remote_address=eddy.hpc.uni-oldenburg.de; submcom=sbatch;;
         (lckyoto) remote_address=133.3.51.11; submcom=/thin/local/bin/qsub;;
         (lck)     remote_address=165.132.26.61; submcom=/usr/torque/bin/qsub;;
@@ -466,6 +469,6 @@
                      (*)                                     error=true;;
                  esac;;
-        (lcflow) case  $ndq  in
-                     (cfd_lom_long.q|cfd_him_long.q|cfd_lom_serl.q|cfd_lom_shrt.q|cfd_him_shrt.q|cfd_ivy_shrt.q)  error=false;;
+        (lceddy) case  $ndq  in
+                     (eddy.p|cfdh.p|cfdl.p|carl.p|mpcs.p|mpcl.p|mpcb.p|all_nodes.p)  error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -924,33 +927,25 @@
     fi
 
- elif [[ $remote_host = lcflow ]]
- then
-    if [[ $numprocs != 0 ]]
-    then
-      pe_set="#$ -pe impi $numprocs"
-    else
-      pe_set="#$ -pe impi 1"
-    fi
-    if [[ $queue = default ]]
-    then
-      queue_set=""
-    else
-      queue_set="#$ -q $queue"
-    fi
-    [[ "$disc_space" = "" ]]  &&  disc_space=50
-
-       cat > $job_to_send << %%END%%
+
+
+ elif [[ $remote_host = lceddy ]]
+ then
+    cat > $job_to_send << %%END%%
 #!/bin/bash
-#$ -S /bin/bash
-#$ -N $job_name
-#$ -cwd
-#$ -l h_rt=$timestring
-#$ -l h_vmem=${memory}M
-#$ -o $remote_dayfile
-#$ -j y
-$pe_set
-#$ -R y
-#$ -l h_fsize=${disc_space}G
-$queue_set
+#SBATCH -J $job_name
+#SBATCH -t $timestring
+#SBATCH -n $numprocs
+#SBATCH -N $nodes
+#SBATCH --cpus-per-task 1
+#SBATCH -p $queue
+#SBATCH -o $remote_dayfile
+#SBATCH -e $remote_dayfile
+#SBATCH --mem-per-cpu $memory
+#SBATCH --exclusive
+
+module load PALMDependencies/.gcc
+
+$init_cmds
+$module_calls
 
 %%END%%
@@ -1288,5 +1283,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lcbullhh  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* || $remote_host = lcxe6  ||  $remote_host = lcocean ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lcbullhh  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* || $remote_host = lcxe6  ||  $remote_host = lcocean ]]
     then
        if [[ $remote_host = ibmh ]]
@@ -1461,26 +1456,4 @@
           echo "rm -f scpjob.${identifier}.tmp"                             >>  $job_to_send         
 
-       elif [[ $remote_host = lcflow ]]
-       then
-          echo "cat > scpjob.${identifier}.tmp << %%END%%"                  >>  $job_to_send
-          echo "#!/bin/bash"                                             >>  $job_to_send
-          echo "SGEPREFIX -S /bin/bash"                                  >>  $job_to_send
-          echo "SGEPREFIX -N transfer_$job_name"                         >>  $job_to_send
-          echo "SGEPREFIX -cwd"                                          >>  $job_to_send
-          echo "SGEPREFIX -l h_rt=01:00:00"                              >>  $job_to_send
-          echo "SGEPREFIX -l h_vmem=500M"                                >>  $job_to_send
-          echo "SGEPREFIX -j y"                                          >>  $job_to_send
-          echo "SGEPREFIX -o ${local_host}_${job_name}_scpjob_$identifier"  >>  $job_to_send 
-          echo " "                                                       >>  $job_to_send 
-          echo "set -x"                                                  >>  $job_to_send 
-          echo "export PALM_BIN=$PALM_BIN" | sed -e 's:'$HOME':$HOME:'   >>  $job_to_send
-          echo "export PATH=\$PATH:\$PALM_BIN"                           >>  $job_to_send
-          echo ""                                 >>  $job_to_send         
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
-          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
-          echo "rm -f scpjob.${identifier}"                                 >>  $job_to_send         
-          echo "%%END%%"                                                 >>  $job_to_send
-          echo "sed -e 's/SGEPREFIX/#$/g' scpjob.${identifier}.tmp > scpjob.${identifier}" >>  $job_to_send         
-          echo "rm -f scpjob.${identifier}.tmp"                             >>  $job_to_send         
        elif [[ $remote_host = lcxe6 ]]
        then
@@ -1549,5 +1522,5 @@
           echo "scp $PORTOPT scpjob.$identifier  ${remote_username}@${remote_address}:job_queue"           >>  $job_to_send
           echo "ssh $SSH_PORTOPT ${remote_username}@${remote_address}  \"cd job_queue; $submcom scpjob.$identifier; rm scpjob.$identifier\" "  >>  $job_to_send
-       elif [[ $remote_host = lcflow  ||  $remote_host = lcocean ]]
+       elif [[ $remote_host = lcocean ]]
        then
           echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send
@@ -1585,5 +1558,5 @@
 
     # REMOVE JOB-FILE
- if [[ $remote_host = lctit  ||  $remote_host = ibmku  ||  $remote_host = lcflow ]]
+ if [[ $remote_host = lctit  ||  $remote_host = ibmku ]]
  then
     echo " "                               >>  $job_to_send
@@ -1638,7 +1611,4 @@
        then
           ssh  $SSH_PORTOPT $remote_address  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost"
-       elif [[ $remote_host = lcflow ]]
-       then
-          /usr/bin/ssh  $SSH_PORTOPT $remote_address  -l $remote_user  "$init_cmds $module_calls cd $job_catalog; $submcom $job_on_remhost"
        else
           ssh  $ssh_key  $SSH_PORTOPT $remote_address  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
@@ -1648,5 +1618,5 @@
     else
        cd  $job_catalog
-       if [[ $(echo $local_host | cut -c1-3) = ibm  ||  $(echo $local_host | cut -c1-6) = lccray ]]
+       if [[ $(echo $local_host | cut -c1-3) = ibm  ||  $(echo $local_host | cut -c1-6) = lccray || $local_host = lceddy ]]
        then
           eval  $submcom  $job_on_remhost
@@ -1673,7 +1643,7 @@
        fi
 
-          # JOBFILE MUST NOT BE DELETED ON lctit/ibmku/lcflow. THIS WILL BE DONE
+          # JOBFILE MUST NOT BE DELETED ON lctit/ibmku. THIS WILL BE DONE
           # AT THE END OF THE JOB
-       if [[ $local_host != lctit  &&  $local_host != ibmku  &&  $local_host != lcflow ]]
+       if [[ $local_host != lctit  &&  $local_host != ibmku ]]
        then
           rm  $job_on_remhost