Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 2257)
+++ /palm/trunk/SOURCE/header.f90	(revision 2258)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Bugfix, add pre-preprocessor directives to enable non-parrallel mode
+! 
+! 2233 2017-05-30 18:08:54Z suehring
 !
 ! 2232 2017-05-30 17:47:52Z suehring
@@ -353,7 +356,9 @@
     USE plant_canopy_model_mod,                                                &
         ONLY:  pcm_header, plant_canopy
-
+        
+#if defined( __parallel )
     USE pmc_handle_communicator,                                               &
         ONLY:  pmc_get_model_info
+#endif
 
     USE pmc_interface,                                                         &
@@ -547,4 +552,5 @@
        WRITE ( io, 600 )  TRIM( nesting_mode ),                                &
                           TRIM( nesting_datatransfer_mode )
+#if defined( __parallel )
        CALL pmc_get_model_info( ncpl = ncpl, cpl_id = my_cpl_id )
 
@@ -564,4 +570,5 @@
                              TRIM( cpl_name )
        ENDDO
+#endif
     ENDIF
     WRITE ( io, 99 )
Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2257)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 2258)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Bugfix, add pre-preprocessor directives to enable non-parrallel mode
+! 
+! 2241 2017-06-01 13:46:13Z hellstea
 ! A minor indexing error in pmci_init_loglaw_correction is corrected.
 ! 
@@ -3954,4 +3957,5 @@
 
  SUBROUTINE pmci_set_swaplevel( swaplevel )
+
 !
 !-- After each Runge-Kutta sub-timestep, alternately set buffer one or buffer
@@ -3966,9 +3970,10 @@
     INTEGER(iwp)            ::  m           !:
 
+#if defined( __parallel )
     DO  m = 1, SIZE( pmc_parent_for_child )-1
        child_id = pmc_parent_for_child(m)
        CALL pmc_s_set_active_data_array( child_id, swaplevel )
     ENDDO
-
+#endif
  END SUBROUTINE pmci_set_swaplevel
 
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 2257)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 2258)
@@ -21,8 +21,11 @@
 ! ------------------
 ! 
-!
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Bugfix, add pre-preprocessor directives to enable non-parrallel mode
+!
+! 2168 2017-03-06 13:08:38Z suehring
 !
 ! 2130 2017-01-24 16:25:39Z raasch
@@ -353,6 +356,8 @@
        IF ( nested_run )  THEN
           stop_dt_local = stop_dt
+#if defined( __parallel )
           CALL MPI_ALLREDUCE( stop_dt_local, stop_dt, 1, MPI_LOGICAL, MPI_LOR, &
                               MPI_COMM_WORLD, ierr )
+#endif
        ENDIF
 
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2257)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 2258)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Bugfix, add pre-preprocessor directives to enable non-parrallel mode
+! 
+! 2233 2017-05-30 18:08:54Z suehring
 !
 ! 2232 2017-05-30 17:47:52Z suehring
@@ -299,6 +302,8 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  crlens           !< array of crossing lengths of ray for particular grid boxes
     INTEGER(iwp), DIMENSION(:), ALLOCATABLE        ::  lad_ip           !< array of numbers of process where lad is stored 
+#if defined( __parallel )
     INTEGER(kind=MPI_ADDRESS_KIND), &
                   DIMENSION(:), ALLOCATABLE        ::  lad_disp         !< array of displaycements of lad in local array of proc lad_ip
+#endif
     REAL(wp), DIMENSION(:), ALLOCATABLE            ::  lad_s_ray        !< array of received lad_s for appropriate gridboxes crossed by ray 
 
@@ -1797,5 +1802,7 @@
         REAL(wp), DIMENSION(:,:,:), POINTER         :: lad_s_rma       !< fortran pointer, but lower bounds are 1
         TYPE(c_ptr)                                 :: lad_s_rma_p     !< allocated c pointer
+#if defined( __parallel )
         INTEGER(kind=MPI_ADDRESS_KIND)              :: size_lad_rma
+#endif
 !    
 !--     calculation of the SVF