Index: palm/trunk/SCRIPTS/.mrun.config.csc_sisu
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.csc_sisu	(revision 2260)
@@ -46,9 +46,9 @@
 %modules             cray-netcdf                                        lccrayf parallel
 %create_executable_for_batch  true                                      lccrayf parallel
-#             
+#
 %write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -81,4 +81,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -167,5 +168,5 @@
 DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.cuhk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.cuhk	(revision 2260)
@@ -55,5 +55,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -86,4 +86,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -171,5 +172,5 @@
 DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.dkrz
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.dkrz	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.dkrz	(revision 2260)
@@ -88,4 +88,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.forwind_flow
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.forwind_flow	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.forwind_flow	(revision 2260)
@@ -32,6 +32,6 @@
 #
 # The next block contains all informations for compiling the PALM code
-# and for generating and running the PALM executable using MPI on a Linux machine 
-# with gcc and OpenMPI. Replace <replace_with_your_local_username> with your 
+# and for generating and running the PALM executable using MPI on a Linux machine
+# with gcc and OpenMPI. Replace <replace_with_your_local_username> with your
 # username on your
 # local machine
@@ -78,5 +78,5 @@
 %lopts             -O3:-fpp:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-sqrt:-ip:-nbs:-static-intel:-Wl,-rpath:/cm/shared/uniol/apps/intel/ics/2013_sp1.3.174/composer_xe_2013_sp1.3.174/compiler/lib/intel64          lcflow parallel
 %login_init_cmd    .:/etc/bashrc\;:export:HOSTNAME=flow                                                                           lcflow parallel
-%modules           hpc-uniol-env:sge/2011.11p1:ics/2013_sp1.3.174/64:impi/5.0.0.028/64:qt4                                       lcflow parallel 
+%modules           hpc-uniol-env:sge/2011.11p1:ics/2013_sp1.3.174/64:impi/5.0.0.028/64:qt4                                       lcflow parallel
 #
 #
@@ -84,5 +84,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -115,4 +115,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f:rec  $base_data/$fname/RESTART   _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART   _rprt
@@ -213,5 +214,5 @@
 DATA_MASK_20_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m20_av  nc
 DATA_PRT_NETCDF        out:loc:pe prt#:prtf $output_data/$fname/OUTPUT  _prt     nc
-DATA_DVR               out:loc:pe dvr       $output_data/$fname/OUTPUT  _dvr 
+DATA_DVR               out:loc:pe dvr       $output_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII	(revision 2260)
@@ -28,6 +28,6 @@
 #
 # The next block contains all informations for compiling the PALM code
-# and for generating and running the PALM executable using MPI on a Linux machine 
-# with gcc and OpenMPI. Replace <replace_with_your_local_username> with your 
+# and for generating and running the PALM executable using MPI on a Linux machine
+# with gcc and OpenMPI. Replace <replace_with_your_local_username> with your
 # username on your
 # local machine
@@ -127,5 +127,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -177,4 +177,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f:rec:cycfill  $base_data/$fname/RESTART   _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART   _rprt
@@ -275,5 +276,5 @@
 DATA_MASK_20_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m20_av  nc
 DATA_PRT_NETCDF        out:loc:pe prt#:prtf $output_data/$fname/OUTPUT  _prt     nc
-DATA_DVR               out:loc:pe dvr       $output_data/$fname/OUTPUT  _dvr 
+DATA_DVR               out:loc:pe dvr       $output_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.gfortran
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.gfortran	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.gfortran	(revision 2260)
@@ -24,5 +24,5 @@
 # and for generating and running the PALM executable using MPI. Replace all
 # required paths (given in <>) by the respective paths valid on your host.
-# Also replace <hi> by your host identifier (for example "lcmy") 
+# Also replace <hi> by your host identifier (for example "lcmy")
 # in each line!
 # Compilernames, cpp-options and compiler-options are assuming
@@ -70,5 +70,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -101,4 +101,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -186,5 +187,5 @@
 DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.hayaka
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.hayaka	(revision 2260)
@@ -38,9 +38,9 @@
 %scp_port          22                                            lckyuh parallel
 %remote_username   <replace_by_your_hayaka_username>             lckyuh parallel
-#             
+#
 %write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -73,4 +73,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -159,5 +160,5 @@
 DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 2260)
@@ -156,4 +156,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f:cycfill  $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.ibmh
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.ibmh	(revision 2260)
@@ -37,5 +37,5 @@
 %compiler_name_ser xlf95                                      ibmh parallel trace
 %cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit,-D__fftw=__fftw  ibmh parallel trace
-%fftw_inc          -I:/sw/aix61/fftw-3.3.3/include            ibmh parallel trace 
+%fftw_inc          -I:/sw/aix61/fftw-3.3.3/include            ibmh parallel trace
 %fftw_lib          -L/sw/aix61/fftw-3.3.3/lib:-lfftw3         ibmh parallel trace
 %netcdf_inc        -I:/sw/aix53/netcdf-3.6.3-ibm/include      ibmh parallel trace
@@ -55,5 +55,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -86,4 +86,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.idefix
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.idefix	(revision 2260)
@@ -52,9 +52,9 @@
 %modules           intel-compiler/2017.1.132:mvapich2/2.2/intel:fftw/3.3.6-pl1/mvapich2-intel:hdf5-parallel/1.10.0-patch/intel:netcdf4_hdf5parallel/4411c_443f/intel        lcidefix parallel trace
 
-#        
+#
 %write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 IC:[[ \$localhost = lcidefix ]]  &&  export MV2_ENABLE_AFFINITY=0
@@ -91,4 +91,5 @@
 URBAN_SURFACE            in:locopt     d3#:d3f  $input_path    _urbsurf
 SURFACE_PARAMETERS       in:locopt     d3#:d3f  $input_path    _surfpar
+STG_PROFILES             in:locopt     d3#:d3f  $input_path    _stgpr
 #
 #
Index: palm/trunk/SCRIPTS/.mrun.config.ifort
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.ifort	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.ifort	(revision 2260)
@@ -24,5 +24,5 @@
 # and for generating and running the PALM executable using MPI. Replace all
 # required paths (given in <>) by the respective paths valid on your host.
-# Also replace <hi> by your host identifier (see above <hi> example "lcmy") 
+# Also replace <hi> by your host identifier (see above <hi> example "lcmy")
 # in each line!
 # Compilernames, cpp-options and compiler-options are assuming
@@ -70,5 +70,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -101,4 +101,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -186,5 +187,5 @@
 DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 2260)
@@ -20,5 +20,5 @@
 %host_identifier   <replace_by_your_IMUK_hostname>     lcmuk
 #
-# IMUK 
+# IMUK
 %remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel
 %tmp_user_catalog  /localdata                                                  lcmuk parallel
@@ -76,4 +76,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_gpu
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 2260)
@@ -88,4 +88,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 2260)
@@ -25,5 +25,5 @@
 %host_identifier   bxc*         lccrayb
 #
-# IMUK 
+# IMUK
 %remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel
 %tmp_user_catalog  /localdata                                                  lcmuk parallel
@@ -171,4 +171,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f:cycfill  $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 2260)
@@ -25,5 +25,5 @@
 %host_identifier   bxc*         lccrayb
 #
-# IMUK 
+# IMUK
 %remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel rrtmg
 %tmp_user_catalog  /localdata                                                  lcmuk parallel rrtmg
@@ -159,4 +159,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f:cycfill  $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.imuknb
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 2260)
@@ -54,5 +54,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -85,4 +85,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -170,5 +171,5 @@
 DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.kiaps
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.kiaps	(revision 2260)
@@ -38,9 +38,9 @@
 %remote_username     <replace by your kiaps username>  lckiaps parallel
 %memory              1500                              lckiaps parallel
-#             
+#
 %write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -73,4 +73,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -159,5 +160,5 @@
 DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.lcxe6
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.lcxe6	(revision 2260)
@@ -29,5 +29,5 @@
 # appropriately, if you are using a different compiler / MPI-Version.
 #
-# Additional hints: during mrun error messages will occur related to the 
+# Additional hints: during mrun error messages will occur related to the
 # "module swap" command. You can simply ignore those messages. If you do not
 # know your project account, check the output of the "cost" command on hexagon
@@ -47,5 +47,5 @@
 %login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel\;:module:unload:xtpe-interlagos     lcxe6 parallel
 %email_notification  <replace_by_your_email_address>                                                                  lcxe6 parallel
-# 
+#
  %tmp_user_catalog    /work/<replace_by_your_CrayXE6_username>                                                         lcxe6 parallel trace
 %tmp_data_catalog    /work/<replace_by_your_CrayXE6_username>/tmp/                                                    lcxe6 parallel trace
@@ -62,9 +62,9 @@
 %login_init_cmd      .:/opt/modules/default/init/ksh\;:.:/etc/bash.bashrc.local\;:module:swap:PrgEnv-cray:PrgEnv-intel\;:module:unload:xtpe-interlagos     lcxe6 parallel trace
 %email_notification  <replace_by_your_emai_address>                                                                  lcxe6 parallel trace
-#           
+#
 %write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -97,4 +97,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -183,5 +184,5 @@
 DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.riam
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.riam	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.riam	(revision 2260)
@@ -49,5 +49,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -83,4 +83,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
Index: palm/trunk/SCRIPTS/.mrun.config.tatara
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.tatara	(revision 2260)
@@ -37,9 +37,9 @@
 %scp_port          22                                            lckyut parallel
 %remote_username   <replace_by_your_tatara_username>             lckyut parallel
-#             
+#
 %write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -72,4 +72,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
@@ -158,5 +159,5 @@
 DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.yonsei2011
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 2259)
+++ palm/trunk/SCRIPTS/.mrun.config.yonsei2011	(revision 2260)
@@ -47,5 +47,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  assign -F cachea:512:1:1 f:BININ
@@ -85,4 +85,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
+STG_PROFILES             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _stgpr
 BININ                    in:loc:flpe   d3f:rec   $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  $base_data/$fname/RESTART  _rprt